Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.wmf.tosvg
Class MetaRecord

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.MetaRecord

Direct Known Subclasses:
  MetaRecord.ByteRecord, MetaRecord.StringRecord

    public class MetaRecord

extends Object

This is used to keep data while processing WMF-files. It is tagged with a type and holds a list of Integer-objects. It seems, it might be rewritten to keep just the plain int-data.

Nested Class Summary
`static class` | `MetaRecord.ByteRecord` A record that contain byte arrays elements.
`static class` | `MetaRecord.StringRecord`

Field Summary
`int` | `functionId`
`int` | `numPoints`

Constructor Summary
`MetaRecord()`

Method Summary
`void` | `addElement(int iValue)` helper method to add int-values.
`void` | `AddElement(Object obj)` when you are storing Integer-objects, consider using addElement( int ) instead.
`int` | `elementAt(int offset)` helper-method to return the plain int-value from the record and save the .intValue()-call at the caller's site.
`Integer` | `ElementAt(int offset)` if you dont really need the Integer-object from this method it is recommended to use the `elementAt()`-method instead, which returns an `int`.
`void` | `EnsureCapacity(int cc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### functionId

    public int functionId

### numPoints

    public int numPoints

Constructor Detail

### MetaRecord

    public MetaRecord()

Method Detail

### EnsureCapacity

    public void EnsureCapacity(int cc)

### AddElement

    public void AddElement(Object obj)

  when you are storing Integer-objects, consider using addElement( int ) instead.

  Parameters:
    `obj` -

### addElement

    public final void addElement(int iValue)

  helper method to add int-values. This way we keep the call to new Integer() in one place, here.

  Parameters:
    `iValue` - the value to add to ptVector, wrapped in an Integer

### ElementAt

    public Integer ElementAt(int offset)

  if you dont really need the Integer-object from this method it is recommended to use the `elementAt()`-method instead, which returns an `int`.

### elementAt

    public final int elementAt(int offset)

  helper-method to return the plain int-value from the record and save the .intValue()-call at the caller's site.

  Parameters:
    `offset` - of the element to get
  Returns:
    the intValue of the element at offset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.